Bug 28990 - up2date: Invalid Architecture and OS release combination
Summary: up2date: Invalid Architecture and OS release combination
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-23 09:35 UTC by Toni Willberg
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-15 06:16:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Toni Willberg 2001-02-23 09:35:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


up2date does not recognize my system and fails to run.


Reproducible: Always
Steps to Reproduce:
up2date -l

Actual Results:  [root@localhost src]# uname -a
Linux localhost.localdomain 2.2.16-22 #1 Mon Jan 15 13:18:44 EET 2001 i686
unknown
[root@localhost src]# up2date -l

Retrieving list of all available packages...
There was a fatal error communicating with the server.  The message was:
Invalid Architecture and OS release combination
[root@localhost src]# 



System is RedHat7.0,
up2date-2.1.7-1

Comment 1 Preston Brown 2001-02-23 19:54:19 UTC
please do an 

rpm -qi redhat-release

and attach output here.

Comment 2 Toni Willberg 2001-02-23 20:00:02 UTC
[twillber@innostunutsonni ~]$ rpm -qi redhat-release
Name        : redhat-release               Relocations: (not relocateable)
Version     : 7.0.1J                            Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Tue 24 Oct 2000 03:10:38
AM EEST
Install date: Thu 15 Feb 2001 01:58:07 AM EET      Build Host:
porkchop.redhat.com
Group       : System Environment/Base       Source RPM:
redhat-release-7.0.1J-1.src.rpm
Size        : 40                               License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The Red Hat Linux release file.
Description :
The Red Hat Linux release file, which identifies which release of Red
Hat Linux you're running.
[twillber@innostunutsonni ~]$ 



Comment 3 Preston Brown 2001-02-28 11:15:46 UTC
Adrian, please make sure the server understands and accepts this as an alias for
7.

Comment 4 Need Real Name 2001-04-13 21:48:38 UTC
The same happens for me on RH 6.2 with all updates using the new up2date:

[jade@dev jade]$ rpm -qi up2date redhat-release
Name        : up2date                      Relocations: (not relocateable)
Version     : 2.5.3                             Vendor: Red Hat, Inc.
Release     : 0.6.x                         Build Date: Fri 13 Apr 2001 11:23:36
AM PDT
Install date: Fri 13 Apr 2001 02:32:39 PM PDT      Build Host:
porky.devel.redhat.com
Group       : System Environment/Base       Source RPM:
up2date-2.5.3-0.6.x.src.rpm
Size        : 536146                           License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : Automatically update RPMs for a Red Hat Linux System
Description :
The Red Hat Update Agent automatically queries the Red Hat Network
servers and figures out what packages need to be updated on your box.
Name        : redhat-release               Relocations: (not relocateable)
Version     : 6.2                               Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Wed 08 Mar 2000 02:49:24
PM PST
Install date: Mon 02 Oct 2000 08:25:33 AM PDT      Build Host:
porkchop.redhat.com
Group       : System Environment/Base       Source RPM:
redhat-release-6.2-1.src.rpm
Size        : 33                               License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : Red Hat Linux release file
Description :
Red Hat Linux release file

[jade@dev jade]$ uname -a
Linux dev 2.2.17-14 #1 Mon Feb 5 18:48:50 EST 2001 i686 unknown

Error message:

There was a fatal RPM error. The message was: Couldn't determine what version of
Red Hat Linux you are using.

Comment 5 Jay Turner 2001-06-12 16:38:16 UTC
We still don't have a Japanese updates tree, so that means that we are serving
out English updates which would be detrimental to a Japanese installation.  So,
need to determine the way to deal with this.


Note You need to log in before you can comment on or make changes to this bug.